patch_id csr_proever_03052021


if not exists (select 1 from sysobjects
    where id = object_id('industry_x_boring') and type = 'U')

CREATE TABLE dbo.industry_x_boring(
	ind_seq_no numeric(9, 0) NOT NULL,
	boring_seq_no numeric(9, 0) NOT NULL,
	created datetime NULL  default current_timestamp,
	created_by varchar(6) NULL default current_user,
	changed datetime NULL,
	changed_by varchar(6) NULL,
PRIMARY KEY (ind_seq_no, boring_seq_no)

);

grant update,insert,delete,select on industry_x_boring to public;

drop_foreign_key on  industry_x_boring ind_industry;
alter table industry_x_boring
add constraint FK_industry_x_boring_ind_industry foreign key (ind_seq_no)
 REFERENCES dbo.ind_industry (ind_seq_no)
ON DELETE CASCADE;

drop_foreign_key on  industry_x_boring bor_borings;
alter table industry_x_boring
add constraint FK_industry_x_boring_BOR_BORING FOREIGN KEY(boring_seq_no)
REFERENCES dbo.bor_borings (boring_seq_no)
ON DELETE CASCADE;



