-- tilretter rkker i word_columns



insert into word_columns
       (mask_id, table_name, column_name, bm_extension,
        column_sequence, column_type, column_format, datastore_no, active,
        chain_member, chain_columns, topic_code, title_code, user_name,
        created, created_by)
(select m.mask_id, c.table_name, c.column_name, c.bm_extension,
        c.column_sequence, c.column_type, c.column_format, c.datastore_no,
        c.active, c.chain_member, c.chain_columns, c.topic_code, c.title_code,
        c.user_name, c.created, c.created_by
   from word_columns c
   join word_masks m on m.sys_type = 'virk'
  where c.mask_id = 'tilsyn'
    and c.created_by = 'WC1280' 
    and exists (select 'x' from word_columns z where z.mask_id = m.mask_id)
    and not exists (select 'x' from word_columns x
                     where x.mask_id = m.mask_id
                       and x.table_name = c.table_name
                       and x.column_name = c.column_name
                       and x.bm_extension = c.bm_extension)
);

print rows nye tilsynsrkker indsat




insert into word_columns
       (mask_id, table_name, column_name, bm_extension,
        column_sequence, column_type, column_format, datastore_no, active,
        chain_member, chain_columns, topic_code, title_code, user_name,
        created, created_by)
(select m.mask_id, c.table_name, c.column_name, c.bm_extension,
        c.column_sequence, c.column_type, c.column_format, c.datastore_no,
        c.active, c.chain_member, c.chain_columns, c.topic_code, c.title_code,
        c.user_name, c.created, c.created_by
   from word_columns c
   join word_masks m on m.sys_type = 'agr'
  where c.mask_id = 'landbrug'
    and c.created_by = 'WC1280'
    and exists (select 'x' from word_columns z where z.mask_id = m.mask_id)
    and not exists (select 'x' from word_columns x
                     where x.mask_id = m.mask_id
                       and x.table_name = c.table_name
                       and x.column_name = c.column_name
                       and x.bm_extension = c.bm_extension)
);

print rows nye landbrugsrkker indsat
