
drop table dbo.sc1006_sample_equipment;

//**************************************************************************

if not exists (select 1 from sysobjects
  where id = object_id('sc1006_sample_equipment') and type = 'U')
  create table dbo.sc1006_sample_equipment (
    ScCode                       varchar(6)    not null,
    DescriptionText              varchar(100)  null,
    AdditionalDescriptionText    varchar(400)  null,
    StancodeKeyUniqueIdentifier  varchar(8)    null,
    StancodeGuidKey              varchar(40)   null,   
    CodeReference                varchar(6)    null,            
    StancodeKeyReference         varchar(8)    null,
    ReferenceTypeName            varchar(12)   null,
    LastUpdateDate               datetime      null,
    CreationDate                 datetime      null,
    ObsolescenceDate             datetime      null,
    ApplicantIdentificationText  varchar(80)   null,
    ReferenceTo_STD00024         varchar(6)    null,
    CodeListIdentifier           varchar(4)    null,
    VersionIdentifier            integer       null,
    constraint pk_sc1006_sample_equipment primary key (ScCode)
);

grant select, update, delete, insert on dbo.sc1006_sample_equipment to public;