
drop table dbo.sc1010_analysis_method;

//**************************************************************************

if not exists (select 1 from sysobjects
  where id = object_id('sc1010_analysis_method') and type = 'U')
  create table dbo.sc1010_analysis_method (
    ScCode                       varchar(6)    not null,
    DescriptionText              varchar(100)  null,
    AdditionalDescriptionText    varchar(400)  null,
    StancodeKeyUniqueIdentifier  varchar(8)    null,
    StancodeGuidKey              varchar(40)   null,   
    CodeReference                varchar(6)    null,            
    StancodeKeyReference         varchar(8)    null,
    ReferenceTypeName            varchar(12)   null,
    LastUpdateDate               datetime      null,
    CreationDate                 datetime      null,
    ObsolescenceDate             datetime      null,
    ApplicantIdentificationText  varchar(80)   null,
    ReferenceTo_STD00018         varchar(6)    null,
    CodeListIdentifier           varchar(4)    null,
    VersionIdentifier            integer       null,
    constraint pk_sc1010_analysis_method primary key (ScCode)
);

grant select, update, delete, insert on dbo.sc1010_analysis_method to public;