--************************************
-- Ny tabel: ki_inv_warehouse                                         
--************************************

patch_id fp_13211_211221

if not exists (select 1 from sysobjects
    where id = object_id('ki_inv_warehouse') and type = 'U')
	
CREATE TABLE dbo.ki_inv_warehouse(
	id varchar(6) NOT NULL,
	name varchar(60) NOT NULL,
	active varchar(1) NOT NULL,
	extern varchar(1) NULL,
	created datetime NULL  default current_timestamp,
	created_by varchar(6) NULL default current_user,
	changed datetime NULL,
	changed_by varchar(6) NULL,
	 constraint pk_ki_inv_warehouse primary key (id)
);

grant select on ki_inv_warehouse to public;
grant select,insert,update,delete on ki_inv_warehouse to public;

if (select col_length('ki_inventory','warehouse_id')) is null 
alter table ki_inventory
	add warehouse_id varchar(6) null;


drop_foreign_key on ki_inventory ki_inv_warehouse
alter table ki_inventory
  add constraint fk_ki_inventory_ki_inv_warehouse foreign key (warehouse_id)
  references ki_inv_warehouse (id);