-- 10-12-2019 TRK
--
-- Nye kolonner i app_settings - 12.0.0 - mss

patch_id esdhSBSIP_1200_191210

--******************************************************************************
-- Nye kolonner i app_settings ESDHSBSIP                              10-12-2019
--******************************************************************************

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'SbSipServiceUrl') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'SbSipServiceUrl', 'D', 10, 'ESDH integration SBSIP', 'Url til SBSIP web servicen', 'Url til SBSIP web servicen (SBSIP/SBSYS proxy)', null;

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'SbSipTokenUrl') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'SbSipTokenUrl', 'D', 11, 'ESDH integration SBSIP', 'Url til SBSIP Token web servicen', 'Url til SBSIP Token web servicen. Anvendes til generering af et AccessToken', null;

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'SbSipTokenClientId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'SbSipTokenClientId', 'D', 12, 'ESDH integration SBSIP', 'SBSIP Token Client id', 'SBSIP Token Client id. Anvendes til generering af et AccessToken', null;

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'SbSipTokenClientSecret') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'SbSipTokenClientSecret', 'D', 13, 'ESDH integration SBSIP', 'SBSIP Token Client secret', 'SBSIP Token Client secret. Anvendes til generering af et AccessToken', null;

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'SbSipTokenSrvUsername') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'SbSipTokenSrvUsername', 'D', 14, 'ESDH integration SBSIP', 'SBSIP Token Username', 'SBSIP Token Username (systembruger). Anvendes til generering af et AccessToken', null;

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'SbSipTokenSrvPassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'SbSipTokenSrvPassword', 'D', 15, 'ESDH integration SBSIP', 'SBSIP Token Password', 'SBSIP Token Password (systembruger). Anvendes til generering af et AccessToken', null;


if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'SbSysSagLink') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'SbSysSagLink', 'D', 30, 'ESDH integration SBSIP', 'SBSYS sag link skabelon', 'SBSYS sag link skabelon. Teksten {id} i skabelonen erstattes med sagens id', null;

if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'SbSysDokLink') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'SbSysDokLink', 'D', 31, 'ESDH integration SBSIP', 'SBSYS dokument link skabelon', 'SBSYS dokument link skabelon. Teksten {id} i skabelonen erstattes med dokumentets id', null;


if (select 'x' from app_settings where app_section = 'ESDHSBSIP' AND app_key = 'CasefilesUpdateActivated') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHSBSIP', 'CasefilesUpdateActivated', 'D', 64, 'ESDH integration SBSIP', 'Opdatering af sager - aktiveret', 'Angiver om ESDH servicen automatisk skal opdatere sager (typisk natligt). Kan sttes til Ja eller Nej (Default er Nej).', 'Nej';

--******************************************************************************