-- 05-12-2019 TRK
--
-- Nye SBSYS stamdata tabeller - 12.0.0 - mss

patch_id sbsip_1200_191205

--******************************************************************************
-- Nye SBSYS stamdata tabeller                                        05-12-2019
--******************************************************************************

-- Sags-skabeloner

create table dbo.sbsys_skabelon (
   Id                                 integer          not null,
   Aktiv                              varchar(1)       not null default '1',
   Beskrivelse                        varchar(1000)    null,
   Navn                               varchar(200)     null,
   AnvendSikkerhedFraAnsaettelssted   varchar(1)       not null default '0',
   DisplayName                        varchar(200)     null,
   ErBeskyttet                        varchar(1)       not null default '1',
   ErStamdataAngivet                  varchar(1)       not null default '1',
   ForeslaaedeSagstitler              varchar(5000)    null,
   PluginName                         varchar(200)     null,
   Sti                                varchar(200)     null,
   SagsTitel                          varchar(200)     null,
   PartAnvendIkke                     varchar(1)       not null default '0',
   PartForlangAltid                   varchar(1)       not null default '0',
   PartForlangAltidPrimaer            varchar(1)       not null default '0',

   created                            datetime         null default current_timestamp,
   created_by                         varchar(6)       null default current_user,
   changed                            datetime         null,
   changed_by                         varchar(6)       null,
   constraint pk_sbsys_skabelon primary key clustered (Id)
);

grant select on sbsys_skabelon to public;
grant select, insert, update, delete on sbsys_skabelon to sysmgr;

--******************************************************************************