patch_id view_tm_line_20191230

IF object_id('dbo.view_tm_line') IS NOT NULL
BEGIN
    DROP VIEW dbo.view_tm_line
END;

create view dbo.view_tm_line (
	dato, dag, line_seq_no, week_no, site_seq_no, activity_id, init, department, text, invoice_date, due_date, amount, payer_id, reference_no, team_id, export_date, created, created_by, changed, changed_by, comments)
as
select w.dato
,w.dag
,w.line_seq_no
,w.week_no
,w.site_seq_no
,w.activity_id
,w.init
,w.department
,w.text
,tp.invoice_date
,tp.due_date
,w.amount
,w.payer_id
,w.reference_no
,w.team_id
,w.export_date
,w.created
,w.created_by
,w.changed
,w.changed_by
,w.comments
from view_tm_line0 w
	left join tm_activity on w.activity_id = tm_activity.activity_id
	left join tm_invoiced_period tp on tm_Activity.invoice_type = tp.act_sys_type and w.site_seq_no = tp.site_seq_no and w.dato between tp.date_from and tp.date_to
;

grant select on view_tm_line to sysmgr, tim_user;