-- 03-01-2020 TRK
--
-- Indst default rkker i ESDH tabeller - 12.0.1 - mss

patch_id esdh_1201_200103

--******************************************************************************
-- Default rkker i esdh_casefiletitle_template                       03-01-2020
--******************************************************************************

if (select count(*) from esdh_casefiletitle_template) = 0
begin
  insert into esdh_casefiletitle_template (template_code, template_name, template_data, default_template, created_by) values ('01', 'Lokalitetsadresse, Postnr Postdistrikt - Sagsnavn', '<address>, <postal_code> <postal_district> - <casefile_name>', '1', 'geokon')
  insert into esdh_casefiletitle_template (template_code, template_name, template_data, default_template, created_by) values ('02', 'Sagsnavn - Lokalitetsadresse, Postnr Postdistrikt', '<casefile_name> - <address>, <postal_code> <postal_district>', '0', 'geokon')
  insert into esdh_casefiletitle_template (template_code, template_name, template_data, default_template, created_by) values ('EJD-01', 'Ejendom:  Adresse, Postnr Postdistrikt', '<address>, <postal_code> <postal_district>', '0', 'geokon')
  insert into esdh_casefiletitle_template (template_code, template_name, template_data, default_template, created_by) values ('EJD-02', 'Sagsnavn', '<casefile_name>', '0', 'geokon')
end;

--******************************************************************************
-- Default rkker i esdh_module                                       03-01-2020
--******************************************************************************

if (select count(*) from esdh_module) = 0
begin
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('agr', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('bld', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('case', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('indu', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('natur', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('open', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('rat', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('raw', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('rem', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('stream', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('virk', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('water', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
  insert into esdh_module (sys_type, active, created_by, casefile_include_party, casefile_include_cadastre, casefile_include_realproperty, casefile_title_template, casefile_include_no_id, default_casetype, realproperty_title_template, default_esdh_departmentid, extern_systemid) values ('wmill', '0', 'geokon', '0', '0', '0', null, '0', null, null, null, null)
end;

--******************************************************************************