-- Opret rækker i standat hvis der er en reference fra stancode og der ikke er en matchende standat (ofte ikke nogen)
insert into gsc_analysis_method (code, long_name, created, created_by, report_water, jup_active, sccode)
select ReferenceTo_STD00018, substring(descriptionText,1, 60), getdate(), 'geokon',0,0, sccode 
from sc1010_analysis_method 
where ReferenceTo_STD00018 not in (select code from gsc_analysis_method) and ObsolescenceDate is null;

--Opret rækker i standat for stancode værdier som IKKE har en matchende standat række 
insert into gsc_analysis_method (code, long_name, created, created_by, report_water, jup_active, sccode)
select 'SC' + sccode, substring(descriptionText,1, 60), getdate(), 'geokon',0,0, sccode 
from sc1010_analysis_method 
where ReferenceTo_STD00018 is null and 'SC' + sccode not in (select code from gsc_analysis_method ) and ObsolescenceDate is null;

-- Opret referencer fra stancode til standat for ovennævnte
update sc1010_analysis_method set ReferenceTo_STD00018 = 'SC' + sccode where ReferenceTo_STD00018 is null and ObsolescenceDate is null;

-- Opret referencer fra standat til stancode (skal bruges til fase 2), først de værdier som har en matchende stancode
update gsc_analysis_method set sccode = s.scCode from sc1010_analysis_method s, gsc_analysis_method where s.ReferenceTo_STD00018 = gsc_analysis_method.code;

-- Opret referencer fra standat til stancode for de værdier som IKKE har en matchende stancode
update gsc_analysis_method set scCode = 'G' + code where scCode is null;