-- 01-03-2022 TRK 
--
patch_id dpost_1320_220301

--******************************************************************************
-- dbox_inbox_extended                                                01-03-2022
--******************************************************************************

create table dbo.dbox_inbox_extended (
    trans_seq_no_in               numeric(9, 0)   not null,
    raw_input_xml                 varchar(max)    null,
    created                       datetime        null default current_timestamp,
    created_by                    varchar(6)      null default current_user,
    constraint pk_dbox_inbox_extended primary key (trans_seq_no_in)
);
grant select, update, delete, insert on dbox_inbox_extended to public;

drop_foreign_key on dbox_inbox_extended dbox_inbox;
alter table dbox_inbox_extended
  add constraint fk_dbox_inbox_extended_dbox_inbox foreign key (trans_seq_no_in)
  references dbox_inbox (trans_seq_no_in);

--******************************************************************************